メインコンテンツへスキップ
POST
/
cms
/
pages
/
2026-03
/
landing-pages
/
folders
/
batch
/
create
フォルダーを作成
curl --request POST \
  --url https://api.hubapi.com/cms/pages/2026-03/landing-pages/folders/batch/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "inputs": [
    {
      "category": 123,
      "created": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "parentFolderId": 123,
      "updated": "2023-11-07T05:31:56Z"
    }
  ]
}
'
import requests

url = "https://api.hubapi.com/cms/pages/2026-03/landing-pages/folders/batch/create"

payload = { "inputs": [
{
"category": 123,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"parentFolderId": 123,
"updated": "2023-11-07T05:31:56Z"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
inputs: [
{
category: 123,
created: '2023-11-07T05:31:56Z',
deletedAt: '2023-11-07T05:31:56Z',
id: '<string>',
name: '<string>',
parentFolderId: 123,
updated: '2023-11-07T05:31:56Z'
}
]
})
};

fetch('https://api.hubapi.com/cms/pages/2026-03/landing-pages/folders/batch/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "category": 123,
      "created": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "parentFolderId": 123,
      "updated": "2023-11-07T05:31:56Z"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"category": 123,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"parentFolderId": 123,
"updated": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

*/*
inputs
object[]
必須

入力するコンテンツフォルダー。

レスポンス

successful operation

completedAt
string<date-time>
必須

バッチオペレーションの完了時刻。

results
object[]
必須

バッチオペレーションの結果。

startedAt
string<date-time>
必須

バッチオペレーションの開始時刻。

status
enum<string>
必須

バッチオペレーションのステータス。

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

バッチオペレーションに関連付けられたリンク。

requestedAt
string<date-time>

バッチオペレーションのリクエスト時刻。

最終更新日 2026年4月10日